alternate-cd-upgrade from 10.04 lts to 12.04 lts beta failed

Bug #969182 reported by steve on 2012-03-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
High
Brian Murray

Bug Description

I wanted to upgrade my distribution when the dist-upgrade gave up on this point and asked me I want to send this error message to the bug tracking system.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: update-manager 1:0.134.12.1
ProcVersionSignature: Ubuntu 2.6.32-40.87-generic 2.6.32.57+drm33.23
Uname: Linux 2.6.32-40-generic x86_64
NonfreeKernelModules: fglrx
Architecture: amd64
Date: Fri Mar 30 15:04:06 2012
GConfNonDefault:
 /apps/update-manager/check_new_release_ignore=
 /apps/update-manager/show_details=false
 /apps/update-manager/show_versions=false
 /apps/update-manager/window_size=(600,600)
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
LiveMediaBuild: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120328)
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=de_DE.utf8
 SHELL=/bin/bash
SourcePackage: update-manager
VarLogDistupgradeAptlog:
 Log time: 2012-03-30 15:03:45.482893
 Log time: 2012-03-30 15:04:05.340139
VarLogDistupgradeTermlog:

steve (steveborrmann) wrote :
Brian Murray (brian-murray) wrote :

2012-03-30 15:03:59,975 DEBUG getRequiredBackports()
2012-03-30 15:03:59,975 DEBUG Searching for pre-requists on CDROM
2012-03-30 15:03:59,976 DEBUG found pre-req '/media/Ubuntu 12.04 LTS amd64/dists/stable/main/dist-upgrader/binary-amd64/libapt-inst1.4_0.8.16~exp12ubuntu6~upgrader1_amd64.deb' to '/tmp/distupgrade.WFBgjQ/backports'
2012-03-30 15:03:59,976 DEBUG found pre-req '/media/Ubuntu 12.04 LTS amd64/dists/stable/main/dist-upgrader/binary-amd64/libapt-pkg4.12_0.8.16~exp12ubuntu6~upgrader1_amd64.deb' to '/tmp/distupgrade.WFBgjQ/backports'
2012-03-30 15:03:59,976 DEBUG found pre-req '/media/Ubuntu 12.04 LTS amd64/dists/stable/main/dist-upgrader/binary-amd64/release-upgrader-libapt-pkg-dev_0.8.16~exp12ubuntu6~upgrader1_amd64.deb' to '/tmp/distupgrade.WFBgjQ/backports'
2012-03-30 15:03:59,976 DEBUG found pre-req '/media/Ubuntu 12.04 LTS amd64/dists/stable/main/dist-upgrader/binary-amd64/release-upgrader-python-apt_0.8.0ubuntu9~upgrader3_amd64.deb' to '/tmp/distupgrade.WFBgjQ/backports'
2012-03-30 15:03:59,976 ERROR Expected backports: 'set(['release-upgrader-python-apt', 'libapt-inst1.4', 'libapt-pkg4.12'])' but got 'set(['release-upgrader-python-apt', 'libapt-inst1.4', 'release-upgrader-libapt-pkg-dev', 'libapt-pkg4.12'])'
2012-03-30 15:04:05,038 DEBUG abort called

Seems like release-upgrader-libapt-pkg-dev is the difference here.

Changed in update-manager (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Brian Murray (brian-murray)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.156.11

---------------
update-manager (1:0.156.11) precise; urgency=low

  * DistUpgrade/DistUpgrade.cfg.lucid:
    - add in a missing backported package (LP: #969182)
  * DistUpgrade/Distupgrade.py:
    - workaround issue regarding removing selections, thanks to sampo555 for
      the patch (LP: #945536)
  * Automatic update of mirrors, demoted packages and of included source
    packages: base-installer
 -- Brian Murray <email address hidden> Thu, 12 Apr 2012 11:02:52 -0700

Changed in update-manager (Ubuntu):
status: In Progress → Fix Released
Michael Vogt (mvo) wrote :

I fixed this is in a slightly different way, it would be great if someone could very the fix with the latest update-manager and a 10.04 -> 12.04 cdrom only upgrade.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers